### A free/open-source library for quantitative finance

Classes | Functions
ql/cashflows/couponpricer.hpp File Reference

Coupon pricers. More...

`#include <ql/termstructures/volatility/optionlet/optionletvolatilitystructure.hpp>`
`#include <ql/termstructures/volatility/swaption/swaptionvolstructure.hpp>`
`#include <ql/indexes/iborindex.hpp>`
`#include <ql/cashflow.hpp>`
`#include <ql/option.hpp>`
Include dependency graph for couponpricer.hpp:

## Classes

class | FloatingRateCouponPricer
| generic pricer for floating-rate coupons More...
class | IborCouponPricer
| base pricer for capped/floored Ibor coupons More...
class | BlackIborCouponPricer
| Black-formula pricer for capped/floored Ibor coupons. More...
class | CmsCouponPricer
| base pricer for vanilla CMS coupons More...

## Functions

void | setCouponPricer (const Leg &leg, const boost::shared_ptr< FloatingRateCouponPricer > &)
void | setCouponPricers (const Leg &leg, const std::vector< boost::shared_ptr< FloatingRateCouponPricer > > &)

## Detailed Description

Coupon pricers.